FROM gitea.pena/penadevops/container-images/golint:main as golint
RUN go version
# only for get golint binary

FROM gitea.pena/penadevops/container-images/node:main as node
RUN apk add git
ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
ENV GOPRIVATE=gitea.pena/PenaSide/linters-golang
ENV GOINSECURE=gitea.pena/PenaSide/linters-golang
COPY --from=golint /usr/local/go/ /usr/local/go/
COPY --from=golint /app/golangci-lint /usr/bin/golangci-lint
